List users based on query filters

Retrieve a filtered list of users based on query filters.

Query Params
integer

Specify the unique ID of a profile to retrieve the list of users associated with that profile. Obtain the profile ID using the List all profiles API.

string
enum

Specify the flag indicating the desired user account status to filter the list of users based on the current status of their accounts. Set it to active to list active users or Preserved to list the preserved users.

Allowed:
integer
≥ 1

Specify the ID of the storage assigned to the site collection. Get the ID of storage using the List all storages API. This API returns the list of all storage that the customer is using.

The list will provide the ID - Storage name mapping for each region that the customer is using. To know a SharePoint site's storage name, customers can see a SharePoint site's summary

string

Specify the date/time to filter the list of users to include only those who were added to Druva inSync after the specified date and time. Provide the UTC date and time using the YYYY-MM-DDTHH:MM:SSZ format.

string

Specify the date/time to filter the list of users to include only those who were added to Druva inSync before the specified date and time. Provide the UTC date and time using the YYYY-MM-DDTHH:MM:SSZ format.

string

Specify the email address of a user to retrieve their details.

integer

Specify the ID of a CloudCache Server to retrieve the list of users associated with that server.

Obtain theCloudCache Server ID using the List all CloudCache Servers API.

userIDs
array of integers

Specify an array of unique user IDs to retrieve the details of specific users. Separate multiple user IDs with commas. /n/n - When this parameter is provided, the API will return information for only the users whose IDs are included in the array. /n - If it is not provided, the API returns the details of all the users.

userIDs
string

Specify a prefix string to search and list users whose usernames begin with that prefix. The search is case-insensitive.

Example: To search for users with usernames that start with Ern (such as Ernie or Ernest), set searchPrefixUserName=Ern.

string

Specify a prefix string to search and list users whose email addresses begin with that prefix. The search is case-insensitive.

Example: To search for users with email addresses that start with ernie.carter (such as [email protected]), set searchPrefixEmailID=ernie.carter.

string

Specify the Active Directory (AD) or Lightweight Directory Access Protocol (LDAP) object globally unique identifier (GUID) to retrieve a list of users associated with it.

Pass the parameter value as a hexadecimal string. For example: 'B1C47201C67910458867BA19982E353E'.

boolean

Specify the privacy flag to filter the list of users based on the status of their privacy settings.

  • Set it to true to list users who have their privacy settings enabled or

  • Set it to false to list users who have their privacy settings disabled.

string
enum

Specify the column name that Druva should use for sorting the data. Druva will sort the results using the data in the column and the sorting order that you specify in the next field.

For example, to sort the data using the emailID column, set orderBy=emailID.

string
enum

Specify the sorting order for the data.

  • Set it to asc to sort the data in ascending order or

  • Set it as desc to sort the data in descending order.

Allowed:
Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json